Skip to main content
GET
/
model-monitor
/
v2
/
api
/
model
/
{model_id}
/
{scheduler_id}
/
scheduled-check-drift-data
Get scheduled check drift data
curl --request GET \
  --url https://api.example.com/model-monitor/v2/api/model/{model_id}/{scheduler_id}/scheduled-check-drift-data \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "pagination": {
    "pageSize": 123,
    "pageNumber": 123,
    "sortOrder": 123
  },
  "totalCount": 123,
  "dataForCheck": {
    "trainingNumRows": 123,
    "predictionNumRows": 123,
    "dataFrom": 123,
    "dataTo": 123
  },
  "columnData": [
    {
      "id": "<string>",
      "columnName": "<string>",
      "columnType": "<string>",
      "valueType": "<string>",
      "featureImportance": 123,
      "algorithm": "<string>",
      "modelColumnId": "<string>",
      "modelCalculationId": "<string>",
      "columnDriftStatus": true,
      "divergence": {
        "divergence": 123,
        "pValue": 123
      },
      "divergenceRule": {
        "operator": "<string>",
        "valuesToCheck": [
          123
        ]
      },
      "trainingDistribution": {
        "binValues": [],
        "counts": [
          123
        ],
        "normalizedValues": []
      },
      "predictionDistribution": {
        "binValues": [],
        "counts": [
          123
        ],
        "normalizedValues": []
      }
    }
  ],
  "searchQuery": "<string>"
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

model_id
string
required
scheduler_id
string
required

Query Parameters

sortOrder
string
sortOn
string
pageNumber
string
pageSize
string
searchQuery
string

Response

Gets the model timeline data

pagination
object
required
totalCount
integer
required
dataForCheck
object
required
columnData
object[]
required
searchQuery
string | null